<?php
//set_time_limit(0);
$root_dir = "../";
$root_dir_info = array();
if (false != ($handle = opendir ($root_dir))) {
	while ( false !== ($file = readdir ( $handle )) ) {
		if($file == '.' || $file =='..' || $file == 'update' || $file=='.svn' || $file =='cache' || $file == 'compile_dir')
		{
		}
		else
		{
			$root_dir_info[] = $file;
		}
	}
}
closedir($handle);
if($root_dir_info)
{
	foreach($root_dir_info as $info)
	{
		if(is_dir("../$info"))
		{
		$file = new CopyFile('../'.$info,'./save/web/'.$info);
		}
		else
		{
			copy('../'.$info,'./save/web/'.$info);
		}
		
	}
}
print_r($root_dir_info);

class CopyFile
{
public $fromFile;
public $toFile;
/*
 * $fromFile  要复制谁
 * $toFile    复制到那
 */
function copyFile($fromFile,$toFile){
	$this->CreateFolder($toFile);
	$folder1=opendir($fromFile);
	while($f1=readdir($folder1)){
		if($f1!="." && $f1!=".."){
			$path2="{$fromFile}/{$f1}";
			if(is_file($path2)){	
				$file = $path2;
				$newfile = "{$toFile}/{$f1}";
				copy($file, $newfile);
			}elseif(is_dir($path2)){
				$toFiles = $toFile.'/'.$f1;
				$this->copyFile($path2,$toFiles);
			}
		}
	}
}
/*
 * 递归创建文件夹
 */
function CreateFolder($dir, $mode = 0777){
	if (is_dir($dir) || @mkdir($dir,$mode)){
		return true;
	}	
    if (!$this->CreateFolder(dirname($dir),$mode)){
    	return false;
    }
	return @mkdir($dir, $mode);
}
}
//使用方法
//引入本类，直接new copyFile('要复制谁','复制到那');
?>